Das offizielle Minecraft Wiki twittert hier: Wiki-Twitter  –  Chatte im Wiki-Discord  –  Noch keinen Server gefunden? Es gibt einen Wiki-Server

Diskussion:Programme und Editoren/Server-Software

Aus Minecraft Wiki
Wechseln zu: Navigation, Suche

Überarbeitung[Bearbeiten]

Vielleicht sollte man mal die Versionen / Aktualität / Kompatibilität hinzufügen, so wie bei Mods/Texturepacks..., oder?–- (Nicht signierter Beitrag von 89.13.143.63 (Diskussion|Beiträge) 15:57, 5. Nov. 2011 (CET). Bitte signiere Deine Beiträge mit -- ~~~~ )

Solange wir nicht imstande sind, die Seite aktuell zu halten, macht das ja irgendwie doch keinen Sinn ;-) Grüße -- LukiGamer - de.Wiki Admin 19:55, 5. Nov. 2011 (UTC)

Aktuelle Listen der Server Softwaren[Bearbeiten]

Damit diese Seite aktuell gehalten werden kann, könnt ihr folgende Listen nutzen: http://wiki.vg/Server_List , http://wiki.vg/Wrapper_List , http://wiki.vg/Classic_Server_List und http://wiki.vg/Classic_Wrapper_List Achja, was ist mit Protokoll gemeint? Ist damit das Minecraft Client-Server Kommunikations Protokoll oder die Version von der jeweiligen Software? Trojaner(Diskussion | Beiträge) 18:37, 27. Jun. 2013 (UTC)

Ja - Nein - Unterstützt?[Bearbeiten]

Bitte mal in die zweite Tabelle in die Spalte Minecraft Version schauen. Da gibt es grüne, rote und gelbe Einträge. Was bedeuten die gelben? Außerdem: wenn statt {{Server-Software/Ja|1.0.0}} die Vorlage {{v|1.0.0}} verwendet würde, würde sich die Farbe bei einer neuen Minecraft-Version von selbst von grün auf rot ändern. Wenn ihr das auch so seht, würde ich in dieser Spalte alle Einträge mit der "Vorlage:v" realisieren, und die Vorlage "Unterstützt" würde ich ganz löschen wollen... Sumpfhütte 17:15, 19. Aug. 2013 (UTC)

Für mich sieht das danach aus, das gelb für "seit kurzem veraltet" steht. Diese Einteilung macht für mich aber keinen Sinn und könnte nur auf grün und rot reduziert werden. Die Lösung mit Vorlage:V ist gut, kannst du umsetzen.--.zip de.MinecraftWiki-Admin Diskussion 20:47, 19. Aug. 2013 (UTC)

Überarbeiten[Bearbeiten]

Die Seite muss grundlegend überarbeitet werden!
-Neue Kategorien
-Neue Serversoftwares
-Sind alle Daten aktuell?
Infos dazu findet ihr hier: http://wiki.vg/Server_List, hier
http://wiki.vg/Wrapper_List, hier http://wiki.vg/Classic_Server_List und hier http://wiki.vg/Classic_Wrapper_List (Danke an Benutzer:Trojaner für die Infoquellen)

Tabelle "Serversoftware für die PC-Edition" ergibt wenig Sinn[Bearbeiten]

Hab in der Tabelle mal etwas geändert, viel Sinn ergibt sie für mich, dennoch nicht. Bukkit: Eigener Launcher = Nur mit Plugins ?? Ich meine, was haben Plugins mit einem Launcher zu tun? Ich habs jetzt mal so gelassen, vielleicht hat sich dabei ja jemand was gedacht - Ergibt meines Erachtens keinen Sinn, entweder es gibt einen Launcher oder nicht. Vor meiner Bearbeitung war dann noch in Spigot: Mehrere Welten = Java mit einem Link zur Java-Wikipedia Seite. Hab ich raus genommen, machte nämlich auch keinen Sinn. Daher sind in der Spalte "Mehrere Welten" nur noch Eintrage mit "Nur mit Plugins", also würde ich "Mehrere Welten" auch rausnehmen, weiß ich aber nicht genau. Vielleicht hat sich dabei ja auch jemand was gedacht.

84.156.75.144 13:14, 31. Dez. 2014 (UTC)

Die Tabellenspalten stammen noch aus der Classic-Zeit und sind inzwischen teilweise sinnlos geworden. Ich habe neulich die Seite um einiges aktualisiert, dabei scheine ich nicht gut genug aufgepasst zu haben. Ich entferne jetzt unnötigte Spalten. | violine1101 (Diskussion) 16:49, 31. Dez. 2014 (UTC)

Lizenz von Spigot[Bearbeiten]

Die Lizenz von Spigot habe ich direkt auch nicht raus finden können. Wollte daher mal nach euer Meinung fragen. Hier Long Live Spigot sagt der Entwickler von Spigot, Spigot sei unter GPL v3 lizenziert - Logisch, da Craftbukkit auch GPL lizenziert ist und Spigot nur eine Veränderung von Craftbukkit ist. Die GPL Lizenz schreibt allen Ablegern des Hauptprojekts (Also auch Spigot) vor, das Ableger-Projekt ebenfalls unter GPL zu lizenzieren. Das würde heißen Spigot ist unter GPL lizenziert und die GPL-Lizenz Quelle wäre vorhanden. Allerdings ist Spigot auch vom DMCA Takedown betroffen, eben weil es von Bukkit abstammt. War mir nun nicht sicher ob das dann immer noch GPL lizenziert ist - Was meint ihr? 84.156.75.144 19:29, 31. Dez. 2014 (UTC)

Auf der Seite Bukkit ist erwähnt, dass Spigot den DMCA durch eine neue Spigot-Lizenz umgangen hat. Als Quelle ist der Spigot 1.8-Veröffentlichungspost angegeben. Dort konnte ich allerdings nichts entsprechendes finden. Außerdem hat die Spigot 1.8-Version nichts mehr mit der CraftBukkit 1.7-Version zu tun, sie wurde komplett neu programmiert, siehe auch bei Bukkit. | violine1101 (Diskussion) 19:54, 31. Dez. 2014 (UTC)
Hmm, aber warum veröffentlicht Spigot denn die neuen Versionen als Patch, zum selber patchen und nicht wie früher immer eine neue Version? --Ketrwu14 (Diskussion) 20:20, 31. Dez. 2014 (UTC)
Suche mal im Spigot 1.8-Veröffentlichungspost nach "license". Dann findest du den Hinweis auf die CLA (Contributor License Agreement = Mitwirkungslizenzvereinbarung). Diese musste von den Mitwirkenden = Developer unterschrieben/akzeptiert werden, um an Spigot mitwirken/programmieren zu können. Das soll einen zukünftigen DMCA-Antrag durch einen Entwickler verhindern: "As a developer you are probably also interested in getting access ... As mentioned earlier, in order to get this access you will first need to create an account on JIRA, and then submit our CLA."
Die neue Version war nur zwischenzeitlich ein Patch. Das hat sich am 28. November geändert. Seitdem kann wieder eine Spigot-Version mit dem BuildTool hergestellt werden. Die Patch-Version hieß "1.8 Protocol Update". Im FAQ dazu heißt es seit 28.11.: "A full release of Spigot 1.8 has now been released".
Ich habe noch keinen Hinweis auf die Endbenutzerlizenz (EULA) (im Gegensatz zu der Developerlizenz CLA) finden können. Die müsste eigentlich als Textdatei erscheinen, wenn man einen Spigot-Server zusammenbaut (BuildTool). Hat das jemand gemacht, ist da etwas zu finden? -- Sumpfhütte 12:01, 1. Jan. 2015 (UTC)
Seit 1.7.10 muss man ja außerdem eine Minecraft-EULA akzeptieren, wenn man einen Server zum ersten Mal startet. Sollte das nicht auch in den Artikel? -- Sumpfhütte 12:12, 1. Jan. 2015 (UTC)
Da das alle Serversoftwares und auch den Vanilla-Server betrifft, sollte man das mMn. nicht hier (das hier ist eigentlich nur eine Liste mit allen verfügbaren Serversoftwares, kein Artikel über Serversoftwares) erwähnen. Wenn man den Artikel dementsprechend erweitern möchte, sollte man ihn nach Serversoftware verschieben, er gehört dann nicht unter Programme und Editoren/. Generell könnte man das bei allen Seiten unter Programme und Editoren/ so handhaben, das wäre dann aber auch mal wieder ein längeres Projekt. | violine1101 (Diskussion) 12:49, 1. Jan. 2015 (UTC)
Ich habe die Spigot-EULA gefunden, es ist MIT, siehe Fußnote im Artikel. -- Sumpfhütte 18:44, 3. Jan. 2015 (UTC)
Die Fußnote verlinkt aber auf die Projektseite von einem Plugin... | violine1101 (Diskussion) 19:00, 3. Jan. 2015 (UTC)
Hmpf - Das kommt vom zu schnellen Googlen... Wie lautet denn nun die Spigot-Lizenz für Endbenutzer? @Ketrwu14: weißt du Genaueres? -- Sumpfhütte 19:33, 3. Jan. 2015 (UTC)
Ich habe soeben verzweifelt versucht, Spigot zu installieren (hat nicht funktioniert, super) und bin dabei auf die Spigot-CraftBukkit 1.8-Lizenz gestoßen. Und siehe da: Es gibt zwei Textdateien - LGPL.txt (Enthält die LGPL-Lizenzbedingungen) und LICENCE.txt (Enthält die GNUv3-Lizenzbedingungen). Ich weiß jetzt nicht, welche der beiden nun gilt, aber auf jeden Fall ist die Information, dass Spigot CraftBukkit 1.8 und Spigot nun unter einer neuen Spigot-Lizenz veröffentlicht, falsch. @Sumpfhütte, diese Info stammte übrigens von dir. Weißt du noch, wo du sie her hast? Vielleicht findet man dort weiterführende Informationen. | violine1101 (Diskussion) 19:47, 3. Jan. 2015 (UTC)
Ja also 100% genau kann und will ich mich da auch nicht festlegen, aber LGPL oder GPL sollte es eigentlich sein. Ich hab den Entwickler mal angeschrieben und gefragt. Mal sehen was er dazu sagt. Ich nutze Spigot auch für meinen Server, aber ich kann nichts außer die Minecraft-EULA in der Installation finden. --Ketrwu14 (Diskussion) 20:15, 3. Jan. 2015 (UTC)
@Violine1101: dass Spigot unter einer Spigot-Lizenz veröffentlicht wird, ist ein Missverständnis. Die Entwickler müssen der Spigot-Lizenz zustimmen und ich nahm an, dass diese dann auch die Endbenutzerlizenz ist. Diese Schlussfolgerung hatte ich aber wieder verworfen und aus dem Bukkit-Artikel entfernt. Seither bin ich auf der Suche nach der Spigot-EULA. Verwunderlich, dass das auf den Spigot-Seiten nicht thematisiert wird. Dort habe ich nichts zum aktuellen Stand finden können. -- Sumpfhütte 21:00, 3. Jan. 2015 (UTC)

Programmiersprache für PocketMine Plugins[Bearbeiten]

Ich hab die Programmiersprache für PocketMine Plugins zu PHP geändert, da PocketMine-API keine Programmiersprache ist. Wurde aber wieder rückgängig gemacht. - Warum? In der Tabelle dadrüber steht in der Plugins-Spalte auch immer die Programmiersprache + Wikipedia-Seite. PocketMine-API ist zwar nicht zwingend falsch, ist halt nur die API. Dann müsste man in die obere Tabelle aber auch Bukkit-API, Spigot-API, usw. statt Java eintragen. Was ist nun also mit der Plugins-Spalte gemeint? Die Programmiersprache für die Plugins oder die Programmierschnittstelle für die Plugins? Ketrwu14 (Diskussion) 23:21, 2. Jan. 2015 (UTC)

Ich bin deiner Meinung. Eine API - Eine Programmierschnittstelle - ist keine Programmiersprache. Letztendlich interessiert es den Leser mehr, in welcher Sprache Plugins geschrieben werden, als die API, die dazu benutzt wird. @MobileCrafter, was war der Grund für die Revidierung von Ketrwu14s Änderung? | violine1101 (Diskussion) 23:33, 2. Jan. 2015 (UTC)
Ich will mich dafür entschuldigen das ich erst so spät zurück schreibe und dafür das ich es einfach geändert habe. Hab vergessen es nachdem noch hier zu erwähnen warum. Aber wie ich es mir vorher angeschaut habe sieht es jetzt gut aus. MobileCrafter (Diskussion) 04:22, 4. Jan. 2015 (UTC)